Subject: Re: Firewalls and SQLNet

From: Michel Bardiaux <[email-masked]>
Date: Fri, 04 Feb 2000 11:16:36 +0100

[To be removed from this list send the message "unsubscribe fwtk-users" in the
BODY of a mail message to [email-masked].]

ividal wrote:
> Hello:
> Maybe this subject is not in the right place but I think some of you can
> have some information.
> I need an aplication proxy for sqlnet connections through a firewall:
> somebody knows a non commercial proxy (in the fwtk style) for testing it?
> (I got some 1995-papers from Oracle, and it seems not as easy as a plug
> proxy or similars)
> Any point/opinion/word will be very appreciated
> Thank you all
> Greets

We run (outgoing) sqlnet through our FW using plug-gw (part of FWTK).
Works
fine, but of course totally unaware of SQL, which means that, should you
use
it for *incoming* sqlnet, you would have no more access control than
'machine
w.x.y.z can call sql on port P here'. One port per service.

An SQL-aware proxy would be needed for access control based on SQL
usernames.

Greetings.
-- 
Michel Bardiaux
UsrConsult S.P.R.L.  Rue Margot, 37  B-1457 Nil St Vincent
Tel : +32 10 65.44.15  Fax : +32 10 65.44.10